
import { Tabs, TabList, TabPanels, Tab, TabPanel } from '@chakra-ui/react';
import { Heading } from '@chakra-ui/react'
import {
  BrowserRouter as Router,
  Routes,
  Route,
  Link,
  useMatch,
  useParams
} from "react-router-dom";
import { Divider } from "@chakra-ui/react";
import PatientsList from "./PatientList";

function Assignment01() {
    return (
        <div className='App-header'>
        <Router>
          <div>
            <ul style={{display: "inline-flex"}}>
              <li style={{display: "inline-table", padding: "10px",}}><Link to="/">Home</Link></li>
              <li style={{display: "inline-table", padding: "10px",}}><Link to="/about">About</Link></li>
              <li style={{display: "inline-table", padding: "10px",}}><Link to="/topics">Patients</Link></li>
            </ul>
            <Routes>
              <Route path="/" element={<Home />} />
              <Route path="/about" element={<About />} />
              <Route path="/topics" element={<PatientsList />} />
            </Routes>
          </div>
        </Router>
        </div>
      );
}
function Home() {
    return <div><Heading>Home</Heading></div>;
  }
  function About() {
    return <div><Heading>About</Heading></div>;
  }
  
  export default Assignment01;