import React from 'react';
import { OrderedList, ListItem } from "@chakra-ui/react";
import { Heading } from '@chakra-ui/react';

function UserList(props) {
    return (
        <div>
            <Heading as='h2' size='xl'>Users List</Heading>
            <OrderedList>
              {props.data.map((data) => {
                return (
                  <ListItem key={data.id}>
                    {data.name}
                  </ListItem>
                );
              })}
            </OrderedList>
        </div>
      );
}

export default UserList;