import React, {Component} from 'react';

import UserList from "./UserList.js";
import ProductList from "./ProductList.js";
import Hoc from "./HOC";

const userData = [
    {id: 1, name: "Shahzad Bhatti", email: "sbhatti@nisum.com"},
    {id: 2, name: "Saad Iqbal", email: "siqbal@nisum.com"},
    {id: 3, name: "Aneeb Immadudin", email: "aimmad@nisum.com"},
    {id: 4, name: "Anwar Baig", email: "abaig@nisum.com"}
];
const productData = [
    {id: 1, name: "Shahzad Bhatti", designation: "Principal SE"},
    {id: 2, name: "Zain Ahmad", designation: "SSE"},
    {id: 3, name: "Muhammad Anas", designation: "SSE"},
    {id: 4, name: "Anwar Baig", designation: "SSE"},
];

const Users = Hoc(UserList, userData);
const Products = Hoc(ProductList, productData);


class Assignment02 extends Component {
    render() {
        return (
          <div>
            <Users></Users>
            <Products></Products>
          </div>
        )
      }
}

export default Assignment02;